/**
 * Copyright © VNG Realisatie 2024
 * Licensed under the EUPL
 */

@use "../theme";

.pagination {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 1px;
    justify-content: center;
    flex-flow: row;
    text-wrap: nowrap;

    & > * {
        text-align: center;
        display: flex;
        flex: 0 1 3rem;
    }

    a {
        background: #313131;
        color: theme.$colorPaletteGray500;
        text-decoration: none;
        padding: .75rem 1rem;
        flex: 1;

        &:hover {
            background: theme.$colorPaletteGray800;
            color: theme.$colorPaletteGray500;
        }
    }
}
